Introduction to Prime Swift Transfer API
The Prime Swift Transfer API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.
Base URL
All API requests should be made to the base URL associated with your environment.
https://api.primeswifttransfer.com/v2Authentication
Authenticate your account when using the API by including your secret API key in the request. You can manage your API keys in the Developer Dashboard. Your API keys carry many privileges, so be sure to keep them secure!
curl https://api.primeswifttransfer.com/v2/claims \
-u sk_test_4eC39HqLyjWDarjtT1zdp7dc:Creating a Claim
To programmatically submit a dispute or refund claim, send a POST request to the /claims endpoint with the required transaction metadata.
Parameters
The positive integer representing how much to dispute in the smallest currency unit.
Three-letter ISO currency code, in lowercase.
The ID of the original transaction on your platform.
{
"id": "clm_1MowQjLkdIwHu7ixZA",
"object": "claim",
"amount": 2000,
"currency": "usd",
"status": "under_review",
"transaction_id": "txn_89482910"
}